Bug 205039 - package-cleanup - DeprecationWarning
package-cleanup - DeprecationWarning
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 17:33 EDT by Jukka Ketelaars
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 06:35:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes for package-cleanup for current yum api. (1.86 KB, patch)
2006-09-18 03:22 EDT, Tim Lauridsen
no flags Details | Diff

  None (edit)
Description Jukka Ketelaars 2006-09-02 17:33:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060830 Fedora/1.5.0.6-9 Firefox/1.5.0.6 pango-text

Description of problem:
Running package-cleanup yields a deprecation warning for getHdrList()

Version-Release number of selected component (if applicable):
yum-utils-0.6-5.fc6

How reproducible:
Always


Steps to Reproduce:
1. package-cleanup --problems


Actual Results:
# package-cleanup --problems
Setting up yum
Reading local RPM database
/usr/bin/package-cleanup:60: DeprecationWarning: getHdrList() will go away in a future version of Yum.
  for header in my.rpmdb.getHdrList():
Processing all local requires
No problems found

Expected Results:
Same but without deprecation warning.

Additional info:
Comment 1 Tim Lauridsen 2006-09-18 03:22:52 EDT
Created attachment 136512 [details]
fixes for package-cleanup for current yum api.

Same fix as i submitted to

https://lists.dulug.duke.edu/pipermail/yum-devel/2006-September/002607.html
Comment 2 Tim Lauridsen 2006-09-29 09:24:15 EDT
fixed now in yum-utils CVS, will be availible in next yum-utils release.

Note You need to log in before you can comment on or make changes to this bug.